> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qoder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# アイデンティティを取得する

> ID を指定して Forward アイデンティティを取得します。

`GET /api/v1/forward/identities/{identity_id}`

認証されたアカウントが所有する Identity を返します。

## Headers

| Header          | Required | Description    |
| --------------- | -------- | -------------- |
| `Authorization` | Yes      | `Bearer <PAT>` |

## Path parameters

| Parameter     | Type   | Required | Description          |
| ------------- | ------ | -------- | -------------------- |
| `identity_id` | string | Yes      | Forward Identity ID。 |

## Example request

```bash theme={null}
curl -s -X GET 'https://api.qoder.com/api/v1/forward/identities/idn_019eabc123' \
  -H "Authorization: Bearer $QODER_PAT"
```

## Example response

**HTTP 200 OK**

```json theme={null}
{
  "id": "idn_019eabc123",
  "external_id": "user_456",
  "name": "Example User",
  "enabled": true,
  "metadata": {
    "channel": "web"
  },
  "created_at": "2026-06-18T10:00:00Z",
  "updated_at": "2026-06-18T10:00:00Z"
}
```

## Response fields

Identity オブジェクトを返します。

## Errors

| HTTP | Type                   | Trigger                         |
| ---- | ---------------------- | ------------------------------- |
| 401  | `authentication_error` | PAT が無効または期限切れです。               |
| 403  | `permission_error`     | このリソースへのアクセス権がありません。            |
| 404  | `not_found_error`      | Identity が存在しないか、呼び出し元に表示されません。 |

## Notes

* 無効化されたアイデンティティも取得できます。
* 削除されたアイデンティティを使用して新しいセッションを作成してはなりません。

## Related

<CardGroup cols={2}>
  <Card title="アイデンティティを更新する" icon="pencil" href="/cloud-agents/api/forward/identities/update" />

  <Card title="アイデンティティ構成一覧を取得する" icon="gear" href="/cloud-agents/api/forward/identities/list-configs" />
</CardGroup>
